| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | Friends | List of all members
uiTable Class Reference
uiBase

`#include <uitable.h>`

Inheritance diagram for uiTable:
[legend]

## Classes
class | SelectionRange
class | Setup

## Public Types
enum | ResizeMode { Interactive , Stretch , Fixed , ResizeToContents }
enum | SelectionBehavior { SelectItems , SelectRows , SelectColumns }
enum | SelectionMode { NoSelection , Single , Multi , SingleRow , SingleColumn }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| uiTable (uiParent *, const char *nm)
| uiTable (uiParent *, const Setup &, const char *nm)
virtual | ~uiTable ()
void | clearCell (const RowCol &)
void | clearCellObject (const RowCol &)
void | clearTable ()
const char * | columnLabel (const RowCol &rc) const
const char * | columnLabel (int) const
int | columnWidth (int) const
RowCol | currentCell () const
int | currentCol () const
int | currentRow () const
void | editCell (const RowCol &, bool replace=false)
void | ensureCellVisible (const RowCol &)
RowCol | getCell (uiGroup *)
RowCol | getCell (uiObject *)
uiGroup * | getCellGroup (const RowCol &) const
uiObject * | getCellObject (const RowCol &) const
OD::Color | getColor (const RowCol &) const
double | getDValue (const RowCol &) const
double | getdValue (const RowCol &rc) const
float | getFValue (const RowCol &) const
float | getfValue (const RowCol &rc) const
OD::Color | getHeaderBackground (int, bool isrow) const
od_int64 | getInt64Value (const RowCol &) const
int | getIntValue (const RowCol &) const
const TypeSet< RowCol > & | getNotifCells () const
const TypeSet< int > & | getNotifRCs () const
SelectionBehavior | getSelBehavior () const
bool | getSelectedCells (TypeSet< RowCol > &) const
bool | getSelectedCols (TypeSet< int > &) const
bool | getSelectedRows (TypeSet< int > &) const
bool | gridShown () const
bool | handleLongTabletPress () override
void | hideColumn (int, bool)
void | hideRow (int, bool)
void | insertColumns (const RowCol &rc, int count)
void | insertColumns (int col, int count)
void | insertRows (const RowCol &rc, int count)
void | insertRows (int row, int count)
bool | isCellChecked (const RowCol &) const
bool | isCellReadOnly (const RowCol &) const
bool | isCellVisible (const RowCol &) const
bool | isColumnHidden (int) const
bool | isColumnReadOnly (int) const
bool | isColumnSelected (int) const
bool | isColumnStretchable (int) const
bool | isLeftHeaderHidden () const
bool | isRowHidden (int) const
bool | isRowReadOnly (int) const
bool | isRowSelected (int) const
bool | isRowStretchable (int) const
bool | isSelected (const RowCol &) const
bool | isTableReadOnly () const
bool | isTopHeaderHidden () const
int | maxNrOfSelections () const
| mOD_DisableCopy (uiTable) const char *text(const RowCol &) const
bool | needOfVirtualKeyboard () const
const RowCol & | newCell () const
const RowCol & | notifiedCell () const
int | nrCols () const
int | nrRows () const
void | popupVirtualKeyboard (int globalx=-1, int globaly=-1)
void | removeAllSelections ()
void | removeColumn (const RowCol &rc)
void | removeColumn (int)
void | removeColumns (const TypeSet< int > &)
void | removeRow (const RowCol &rc)
void | removeRow (int)
void | removeRows (const TypeSet< int > &)
void | resizeColumnsToContents ()
void | resizeColumnToContents (int)
void | resizeHeaderToContents (bool hor)
void | resizeRowsToContents ()
void | resizeRowToContents (int)
int | rowHeight (int) const
const char * | rowLabel (const RowCol &rc) const
const char * | rowLabel (int) const
void | selectColumn (int col)
const ObjectSet< SelectionRange > & | selectedRanges () const
void | selectItems (const TypeSet< RowCol > &, bool)
void | selectRow (int row)
void | setCellAlignment (const RowCol &, const Alignment &)
void | setCellChecked (const RowCol &, bool yn)
void | setCellGroup (const RowCol &, uiGroup *)
void | setCellObject (const RowCol &, uiObject *)
void | setCellReadOnly (const RowCol &, bool)
void | setCellToolTip (const RowCol &, const uiString &)
void | setColor (const RowCol &, const OD::Color &)
void | setColumnAlignment (int col, const Alignment &)
void | setColumnLabel (const RowCol &rc, const uiString &lbl)
void | setColumnLabel (int, const uiString &)
void | setColumnLabels (const BufferStringSet &)
void | setColumnLabels (const uiStringSet &)
void | setColumnReadOnly (int, bool)
void | setColumnResizeMode (ResizeMode)
| Default is Stretch.
void | setColumnSortIndicator (int, bool asc)
void | setColumnStretchable (int, bool)
void | setColumnToolTip (int, const uiString &)
void | setColumnWidth (int col, int w)
void | setColumnWidthInChar (int col, float w)
void | setCurrentCell (const RowCol &, bool noselection=false)
void | setDefaultColLabels ()
void | setDefaultRowLabels ()
void | setHeaderBackground (int, const OD::Color &, bool isrow)
void | setLabelAlignment (Alignment::HPos, bool cols)
void | setLabelBGColor (int, OD::Color, bool isrow)
void | setLeftHeaderHidden (bool)
void | setLeftMargin (int)
void | setMouseTracking (bool)
void | setNotifiedCell (const RowCol &rc)
void | setNrCols (int)
void | setNrRows (int)
void | setPixmap (const RowCol &, const uiPixmap &)
void | setPrefHeight (int) override
void | setPrefHeightInChar (int) override
void | setPrefHeightInRows (int)
void | setPrefWidth (int) override
void | setPrefWidthInChar (int) override
void | setPrefWidthInChars (int)
void | setRowHeight (int row, int h)
void | setRowHeightInChar (int row, float h)
void | setRowLabel (const RowCol &rc, const uiString &lbl)
void | setRowLabel (int, const uiString &)
void | setRowLabels (const BufferStringSet &)
void | setRowLabels (const uiStringSet &)
void | setRowReadOnly (int, bool)
void | setRowResizeMode (ResizeMode)
| Default is ResizeToContents.
void | setRowStretchable (int, bool)
void | setRowToolTip (int, const uiString &)
void | setSelected (const RowCol &, bool yn=true)
void | setSelectionBehavior (SelectionBehavior)
void | setSelectionMode (SelectionMode)
void | setSortable (bool)
void | setTableAlignment (const Alignment &)
void | setTableReadOnly (bool)
void | setText (const RowCol &, const char *)
void | setText (const RowCol &, const OD::String &)
void | setText (const RowCol &, const uiString &)
void | setTopHeaderHidden (bool)
void | setTopMargin (int)
Setup & | setup ()
const Setup & | setup () const
void | setValue (const RowCol &, double, int nrdec)
void | setValue (const RowCol &, double, od_uint16 width=0, char specifier='g', int precision=6, const char *length=nullptr, const char *flags=nullptr)
void | setValue (const RowCol &, float, int nrdec)
void | setValue (const RowCol &, float, od_uint16 width=0, char specifier='g', int precision=6, const char *length=nullptr, const char *flags=nullptr)
void | setValue (const RowCol &, int, od_uint16 width=0)
void | setValue (const RowCol &, od_int64, od_uint16 width=0)
void | showGrid (bool)
void | showOuterFrame (bool)
Public Member Functions inherited from uiObject
| ~uiObject ()
uiSize | actualSize (bool include_border=true) const
void | attach (ConstraintType, int margin=-1)
| attaches object to another In case the stretched... options are used, margin=-1 (default) stretches the object not to cross the border. margin=-2 stretches the object to fill the parent's border. This looks nice with separators.
void | attach (ConstraintType, uiObject *, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *, int margin=-1, bool reciprocal=true)
virtual OD::Color | backgroundColor () const
virtual const ObjectSet< uiBaseObject > * | childList () const
void | close ()
void | deepRedraw ()
void | disabFocus ()
void | display (bool yn, bool shrink=false, bool maximized=false)
const uiFont * | font () const
QWidget * | getWidget () override
bool | hasFocus () const
virtual int | height () const
| Actual size in pixels.
bool | isCursorInside () const
bool | isDisplayed () const
virtual bool | isEmpty () const
bool | isSensitive () const
uiMainWin * | mainwin ()
| mOD_DisableCopy (uiObject) enum SzPolicy
| How should the object's size behave? Undef : use default. Small : 1 base sz. Medium : 2* base sz + 1. Wide : 4* base sz + 3. The xxVar options specify that the element may have a bigger internal preferred size. In that case, the maximum is taken. The xxMax options specify that the element should take all available space ( stretch = 2 )
uiParent * | parent ()
const uiParent * | parent () const
int | prefHNrPics () const
int | prefVNrPics () const
QWidget * | qwidget ()
const QWidget * | qwidget () const
void | reDraw (bool deep)
void | reParent (uiParent *)
OD::Color | roBackgroundColor () const
bool | sensitive () const
virtual void | setBackgroundColor (const OD::Color &)
virtual void | setBackgroundPixmap (const uiPixmap &)
void | setCaption (const uiString &)
virtual void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setHSzPol (SzPolicy)
void | setMaximumHeight (int)
void | setMaximumHeightInChar (int)
void | setMaximumWidth (int)
void | setMaximumWidthInChar (int)
void | setMinimumHeight (int)
void | setMinimumHeightInChar (int)
void | setMinimumWidth (int)
void | setMinimumWidthInChar (int)
virtual void | setName (const char *) override
void | setPrefHeightInChar (float)
void | setPrefWidthInChar (float)
void | setSensitive (bool yn=true)
void | setStretch (int hor, int ver)
| Sets stretch factors for object If stretch factor is > 1, then object will already grow at pop-up.
virtual void | setStyleSheet (const char *)
virtual void | setTextColor (const OD::Color &)
void | setToolTip (const uiString &)
void | setVSzPol (SzPolicy)
void | shallowRedraw ()
int | stretch (bool hor) const
SzPolicy | szPol (bool hor=true) const
const uiString & | toolTip () const
void | translateText () override
bool | visible () const
virtual int | width () const
| Actual size in pixels.
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
virtual Notifier< uiBaseObject > & | postFinalise ()
virtual Notifier< uiBaseObject > & | postFinalize ()
virtual Notifier< uiBaseObject > & | preFinalise ()
virtual Notifier< uiBaseObject > & | preFinalize ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< uiTable > | colDeleted
Notifier< uiTable > | colInserted
CNotifier< uiTable, int > | columnClicked
Notifier< uiTable > | doubleClicked
Notifier< uiTable > | leftClicked
Notifier< uiTable > | rightClicked
CNotifier< uiTable, int > | rowClicked
Notifier< uiTable > | rowDeleted
Notifier< uiTable > | rowInserted
Notifier< uiTable > | selectionChanged
Notifier< uiTable > | selectionDeleted
Notifier< uiTable > | valueChanged
Public Attributes inherited from uiObject
Notifier< uiObject > | closed
| Triggered when object closes.
CNotifier< uiObject, uiRect & > | setGeometry
| triggered when getting a new geometry A reference to the new geometry is passed which can be manipulated, before the geometry is actually set to the QWidget.

## Protected Member Functions
void | cellObjChangedCB (CallBacker *)
bool | getSelected ()
virtual void | popupMenu (CallBacker *)
void | removeRCs (const TypeSet< int > &, bool col)
void | update (bool row, int nr)
void | updateCellSizes (const uiSize *sz=0)
Protected Member Functions inherited from uiObject
| uiObject (uiParent *, const char *nm)
| uiObject (uiParent *, const char *nm, uiObjectBody &)
virtual bool | closeOK ()
| hook. Accepts/denies closing of window.
uiObjectBody * | objBody ()
const uiObjectBody * | objBody () const
void | triggerSetGeometry (const i_LayoutItem *, uiRect &)
| setGeometry should be triggered by this's layoutItem
void | updateToolTip (CallBacker *=nullptr)
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
OD::ButtonState | buttonstate_
bool | istablereadonly_
RowCol | newcell_
RowCol | notifcell_
TypeSet< RowCol > | notifcells_
TypeSet< int > | notifcols_
TypeSet< int > | notifrows_
bool | seliscols_
ObjectSet< SelectionRange > | selranges_
Setup | setup_
Protected Attributes inherited from uiObject
uiString | tooltip_
uiObjEventFilter * | uiobjeventfilter_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
uiTableBody & | mkbody (uiParent *, const char *, int, int)

## Private Attributes
uiTableBody * | body_
uiSize | lastsz

## Friends
class | i_tableMessenger
class | uiTableBody

## Additional Inherited Members
Static Public Member Functions inherited from uiObject
static int | baseFldSize ()
static int | iconSize ()
static void | setTabOrder (uiObject *first, uiObject *second)
static void | updateToolTips ()
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ ResizeMode

enum uiTable::ResizeMode

Enumerator
Interactive |
Stretch |
Fixed |
ResizeToContents |

## ◆ SelectionBehavior

enum uiTable::SelectionBehavior

Enumerator
SelectItems |
SelectRows |
SelectColumns |

## ◆ SelectionMode

enum uiTable::SelectionMode

Enumerator
NoSelection | No cell can be selected by the user.
Single | a single range of cells.
Multi | multiple ranges of cells.
SingleRow |
SingleColumn |

## Constructor & Destructor Documentation

## ◆ uiTable() [1/2]

uiTable::uiTable | ( | uiParent * | ,
|  | const Setup & | ,
|  | const char * | nm )

## ◆ uiTable() [2/2]

uiTable::uiTable | ( | uiParent * | ,
|  | const char * | nm )

## ◆ ~uiTable()

virtual uiTable::~uiTable | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ cellObjChangedCB()

void uiTable::cellObjChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ clearCell()

void uiTable::clearCell | ( | const RowCol & |  | ) |

## ◆ clearCellObject()

void uiTable::clearCellObject | ( | const RowCol & |  | ) |

## ◆ clearTable()

void uiTable::clearTable | ( |  | ) |

## ◆ columnLabel() [1/2]

const char * uiTable::columnLabel | ( | const RowCol & | rc | ) | const
| inline

## ◆ columnLabel() [2/2]

const char * uiTable::columnLabel | ( | int |  | ) | const

## ◆ columnWidth()

int uiTable::columnWidth | ( | int |  | ) | const

## ◆ currentCell()

RowCol uiTable::currentCell | ( |  | ) | const
| inline

## ◆ currentCol()

int uiTable::currentCol | ( |  | ) | const

## ◆ currentRow()

int uiTable::currentRow | ( |  | ) | const

## ◆ editCell()

void uiTable::editCell | ( | const RowCol & | ,
|  | bool | replace = false )

## ◆ ensureCellVisible()

void uiTable::ensureCellVisible | ( | const RowCol & |  | ) |

## ◆ getCell() [1/2]

RowCol uiTable::getCell | ( | uiGroup * |  | ) |

## ◆ getCell() [2/2]

RowCol uiTable::getCell | ( | uiObject * |  | ) |

## ◆ getCellGroup()

uiGroup * uiTable::getCellGroup | ( | const RowCol & |  | ) | const

## ◆ getCellObject()

uiObject * uiTable::getCellObject | ( | const RowCol & |  | ) | const

## ◆ getColor()

OD::Color uiTable::getColor | ( | const RowCol & |  | ) | const

## ◆ getDValue()

double uiTable::getDValue | ( | const RowCol & |  | ) | const

## ◆ getdValue()

double uiTable::getdValue | ( | const RowCol & | rc | ) | const
| inline

## ◆ getFValue()

float uiTable::getFValue | ( | const RowCol & |  | ) | const

## ◆ getfValue()

float uiTable::getfValue | ( | const RowCol & | rc | ) | const
| inline

## ◆ getHeaderBackground()

OD::Color uiTable::getHeaderBackground | ( | int | ,
|  | bool | isrow ) const

## ◆ getInt64Value()

od_int64 uiTable::getInt64Value | ( | const RowCol & |  | ) | const

## ◆ getIntValue()

int uiTable::getIntValue | ( | const RowCol & |  | ) | const

## ◆ getNotifCells()

const TypeSet< RowCol > & uiTable::getNotifCells | ( |  | ) | const
| inline

## ◆ getNotifRCs()

const TypeSet< int > & uiTable::getNotifRCs | ( |  | ) | const
| inline

## ◆ getSelBehavior()

SelectionBehavior uiTable::getSelBehavior | ( |  | ) | const

## ◆ getSelected()

bool uiTable::getSelected | ( |  | ) |
| protected

## ◆ getSelectedCells()

bool uiTable::getSelectedCells | ( | TypeSet< RowCol > & |  | ) | const

## ◆ getSelectedCols()

bool uiTable::getSelectedCols | ( | TypeSet< int > & |  | ) | const

## ◆ getSelectedRows()

bool uiTable::getSelectedRows | ( | TypeSet< int > & |  | ) | const

## ◆ gridShown()

bool uiTable::gridShown | ( |  | ) | const

## ◆ handleLongTabletPress()

bool uiTable::handleLongTabletPress | ( |  | ) |
| override virtual

Reimplemented from uiObject.

## ◆ hideColumn()

void uiTable::hideColumn | ( | int | ,
|  | bool | )

## ◆ hideRow()

void uiTable::hideRow | ( | int | ,
|  | bool | )

## ◆ insertColumns() [1/2]

void uiTable::insertColumns | ( | const RowCol & | rc,
|  | int | count )
| inline

## ◆ insertColumns() [2/2]

void uiTable::insertColumns | ( | int | col,
|  | int | count )

## ◆ insertRows() [1/2]

void uiTable::insertRows | ( | const RowCol & | rc,
|  | int | count )
| inline

## ◆ insertRows() [2/2]

void uiTable::insertRows | ( | int | row,
|  | int | count )

## ◆ isCellChecked()

bool uiTable::isCellChecked | ( | const RowCol & |  | ) | const

## ◆ isCellReadOnly()

bool uiTable::isCellReadOnly | ( | const RowCol & |  | ) | const

## ◆ isCellVisible()

bool uiTable::isCellVisible | ( | const RowCol & |  | ) | const

## ◆ isColumnHidden()

bool uiTable::isColumnHidden | ( | int |  | ) | const

## ◆ isColumnReadOnly()

bool uiTable::isColumnReadOnly | ( | int |  | ) | const

## ◆ isColumnSelected()

bool uiTable::isColumnSelected | ( | int |  | ) | const

## ◆ isColumnStretchable()

bool uiTable::isColumnStretchable | ( | int |  | ) | const

## ◆ isLeftHeaderHidden()

bool uiTable::isLeftHeaderHidden | ( |  | ) | const

## ◆ isRowHidden()

bool uiTable::isRowHidden | ( | int |  | ) | const

## ◆ isRowReadOnly()

bool uiTable::isRowReadOnly | ( | int |  | ) | const

## ◆ isRowSelected()

bool uiTable::isRowSelected | ( | int |  | ) | const

## ◆ isRowStretchable()

bool uiTable::isRowStretchable | ( | int |  | ) | const

## ◆ isSelected()

bool uiTable::isSelected | ( | const RowCol & |  | ) | const

## ◆ isTableReadOnly()

bool uiTable::isTableReadOnly | ( |  | ) | const

## ◆ isTopHeaderHidden()

bool uiTable::isTopHeaderHidden | ( |  | ) | const

## ◆ maxNrOfSelections()

int uiTable::maxNrOfSelections | ( |  | ) | const

## ◆ mkbody()

uiTableBody & uiTable::mkbody | ( | uiParent * | ,
|  | const char * | ,
|  | int | ,
|  | int | )
| private

## ◆ mOD_DisableCopy()

uiTable::mOD_DisableCopy | ( | uiTable |  | ) | const &

## ◆ needOfVirtualKeyboard()

bool uiTable::needOfVirtualKeyboard | ( |  | ) | const

## ◆ newCell()

const RowCol & uiTable::newCell | ( |  | ) | const
| inline

## ◆ notifiedCell()

const RowCol & uiTable::notifiedCell | ( |  | ) | const
| inline

## ◆ nrCols()

int uiTable::nrCols | ( |  | ) | const

## ◆ nrRows()

int uiTable::nrRows | ( |  | ) | const

## ◆ popupMenu()

virtual void uiTable::popupMenu | ( | CallBacker * |  | ) |
| protected virtual

Reimplemented in uiStratUnitDivideDlg::uiDivideTable.

## ◆ popupVirtualKeyboard()

void uiTable::popupVirtualKeyboard | ( | int | globalx = -1,
|  | int | globaly = -1 )

## ◆ removeAllSelections()

void uiTable::removeAllSelections | ( |  | ) |

## ◆ removeColumn() [1/2]

void uiTable::removeColumn | ( | const RowCol & | rc | ) |
| inline

## ◆ removeColumn() [2/2]

void uiTable::removeColumn | ( | int |  | ) |

## ◆ removeColumns()

void uiTable::removeColumns | ( | const TypeSet< int > & |  | ) |

## ◆ removeRCs()

void uiTable::removeRCs | ( | const TypeSet< int > & | ,
|  | bool | col )
| protected

## ◆ removeRow() [1/2]

void uiTable::removeRow | ( | const RowCol & | rc | ) |
| inline

## ◆ removeRow() [2/2]

void uiTable::removeRow | ( | int |  | ) |

## ◆ removeRows()

void uiTable::removeRows | ( | const TypeSet< int > & |  | ) |

## ◆ resizeColumnsToContents()

void uiTable::resizeColumnsToContents | ( |  | ) |

## ◆ resizeColumnToContents()

void uiTable::resizeColumnToContents | ( | int |  | ) |

## ◆ resizeHeaderToContents()

void uiTable::resizeHeaderToContents | ( | bool | hor | ) |

## ◆ resizeRowsToContents()

void uiTable::resizeRowsToContents | ( |  | ) |

## ◆ resizeRowToContents()

void uiTable::resizeRowToContents | ( | int |  | ) |

## ◆ rowHeight()

int uiTable::rowHeight | ( | int |  | ) | const

## ◆ rowLabel() [1/2]

const char * uiTable::rowLabel | ( | const RowCol & | rc | ) | const
| inline

## ◆ rowLabel() [2/2]

const char * uiTable::rowLabel | ( | int |  | ) | const

## ◆ selectColumn()

void uiTable::selectColumn | ( | int | col | ) |

## ◆ selectedRanges()

const ObjectSet< SelectionRange > & uiTable::selectedRanges | ( |  | ) | const

## ◆ selectItems()

void uiTable::selectItems | ( | const TypeSet< RowCol > & | ,
|  | bool | )

## ◆ selectRow()

void uiTable::selectRow | ( | int | row | ) |

## ◆ setCellAlignment()

void uiTable::setCellAlignment | ( | const RowCol & | ,
|  | const Alignment & | )

## ◆ setCellChecked()

void uiTable::setCellChecked | ( | const RowCol & | ,
|  | bool | yn )

## ◆ setCellGroup()

void uiTable::setCellGroup | ( | const RowCol & | ,
|  | uiGroup * | )

Note
  The uiObject should be given a NULL pointer as uiParent* at construction.

## ◆ setCellObject()

void uiTable::setCellObject | ( | const RowCol & | ,
|  | uiObject * | )

Note
  The uiObject should be given a NULL pointer as uiParent* at construction.

## ◆ setCellReadOnly()

void uiTable::setCellReadOnly | ( | const RowCol & | ,
|  | bool | )

## ◆ setCellToolTip()

void uiTable::setCellToolTip | ( | const RowCol & | ,
|  | const uiString & | )

## ◆ setColor()

void uiTable::setColor | ( | const RowCol & | ,
|  | const OD::Color & | )

## ◆ setColumnAlignment()

void uiTable::setColumnAlignment | ( | int | col,
|  | const Alignment & | )

## ◆ setColumnLabel() [1/2]

void uiTable::setColumnLabel | ( | const RowCol & | rc,
|  | const uiString & | lbl )
| inline

## ◆ setColumnLabel() [2/2]

void uiTable::setColumnLabel | ( | int | ,
|  | const uiString & | )

## ◆ setColumnLabels() [1/2]

void uiTable::setColumnLabels | ( | const BufferStringSet & |  | ) |

## ◆ setColumnLabels() [2/2]

void uiTable::setColumnLabels | ( | const uiStringSet & |  | ) |

## ◆ setColumnReadOnly()

void uiTable::setColumnReadOnly | ( | int | ,
|  | bool | )

## ◆ setColumnResizeMode()

void uiTable::setColumnResizeMode | ( | ResizeMode |  | ) |

Default is Stretch.

## ◆ setColumnSortIndicator()

void uiTable::setColumnSortIndicator | ( | int | ,
|  | bool | asc )

## ◆ setColumnStretchable()

void uiTable::setColumnStretchable | ( | int | ,
|  | bool | )

## ◆ setColumnToolTip()

void uiTable::setColumnToolTip | ( | int | ,
|  | const uiString & | )

## ◆ setColumnWidth()

void uiTable::setColumnWidth | ( | int | col,
|  | int | w )

## ◆ setColumnWidthInChar()

void uiTable::setColumnWidthInChar | ( | int | col,
|  | float | w )

## ◆ setCurrentCell()

void uiTable::setCurrentCell | ( | const RowCol & | ,
|  | bool | noselection = false )

## ◆ setDefaultColLabels()

void uiTable::setDefaultColLabels | ( |  | ) |

## ◆ setDefaultRowLabels()

void uiTable::setDefaultRowLabels | ( |  | ) |

## ◆ setHeaderBackground()

void uiTable::setHeaderBackground | ( | int | ,
|  | const OD::Color & | ,
|  | bool | isrow )

## ◆ setLabelAlignment()

void uiTable::setLabelAlignment | ( | Alignment::HPos | ,
|  | bool | cols )

## ◆ setLabelBGColor()

void uiTable::setLabelBGColor | ( | int | ,
|  | OD::Color | ,
|  | bool | isrow )

## ◆ setLeftHeaderHidden()

void uiTable::setLeftHeaderHidden | ( | bool |  | ) |

## ◆ setLeftMargin()

void uiTable::setLeftMargin | ( | int |  | ) |

## ◆ setMouseTracking()

void uiTable::setMouseTracking | ( | bool |  | ) |

## ◆ setNotifiedCell()

void uiTable::setNotifiedCell | ( | const RowCol & | rc | ) |
| inline

## ◆ setNrCols()

void uiTable::setNrCols | ( | int |  | ) |

## ◆ setNrRows()

void uiTable::setNrRows | ( | int |  | ) |

## ◆ setPixmap()

void uiTable::setPixmap | ( | const RowCol & | ,
|  | const uiPixmap & | )

## ◆ setPrefHeight()

void uiTable::setPrefHeight | ( | int |  | ) |
| override virtual

Reimplemented from uiObject.

## ◆ setPrefHeightInChar()

void uiTable::setPrefHeightInChar | ( | int |  | ) |
| override virtual

Reimplemented from uiObject.

## ◆ setPrefHeightInRows()

void uiTable::setPrefHeightInRows | ( | int |  | ) |

## ◆ setPrefWidth()

void uiTable::setPrefWidth | ( | int |  | ) |
| override virtual

Reimplemented from uiObject.

## ◆ setPrefWidthInChar()

void uiTable::setPrefWidthInChar | ( | int |  | ) |
| override virtual

Reimplemented from uiObject.

## ◆ setPrefWidthInChars()

void uiTable::setPrefWidthInChars | ( | int |  | ) |

## ◆ setRowHeight()

void uiTable::setRowHeight | ( | int | row,
|  | int | h )

## ◆ setRowHeightInChar()

void uiTable::setRowHeightInChar | ( | int | row,
|  | float | h )

## ◆ setRowLabel() [1/2]

void uiTable::setRowLabel | ( | const RowCol & | rc,
|  | const uiString & | lbl )
| inline

## ◆ setRowLabel() [2/2]

void uiTable::setRowLabel | ( | int | ,
|  | const uiString & | )

## ◆ setRowLabels() [1/2]

void uiTable::setRowLabels | ( | const BufferStringSet & |  | ) |

## ◆ setRowLabels() [2/2]

void uiTable::setRowLabels | ( | const uiStringSet & |  | ) |

## ◆ setRowReadOnly()

void uiTable::setRowReadOnly | ( | int | ,
|  | bool | )

## ◆ setRowResizeMode()

void uiTable::setRowResizeMode | ( | ResizeMode |  | ) |

Default is ResizeToContents.

## ◆ setRowStretchable()

void uiTable::setRowStretchable | ( | int | ,
|  | bool | )

## ◆ setRowToolTip()

void uiTable::setRowToolTip | ( | int | ,
|  | const uiString & | )

## ◆ setSelected()

void uiTable::setSelected | ( | const RowCol & | ,
|  | bool | yn = true )

## ◆ setSelectionBehavior()

void uiTable::setSelectionBehavior | ( | SelectionBehavior |  | ) |

## ◆ setSelectionMode()

void uiTable::setSelectionMode | ( | SelectionMode |  | ) |

## ◆ setSortable()

void uiTable::setSortable | ( | bool |  | ) |

## ◆ setTableAlignment()

void uiTable::setTableAlignment | ( | const Alignment & |  | ) |

## ◆ setTableReadOnly()

void uiTable::setTableReadOnly | ( | bool |  | ) |

## ◆ setText() [1/3]

void uiTable::setText | ( | const RowCol & | ,
|  | const char * | )

## ◆ setText() [2/3]

void uiTable::setText | ( | const RowCol & | ,
|  | const OD::String & | )

## ◆ setText() [3/3]

void uiTable::setText | ( | const RowCol & | ,
|  | const uiString & | )

## ◆ setTopHeaderHidden()

void uiTable::setTopHeaderHidden | ( | bool |  | ) |

## ◆ setTopMargin()

void uiTable::setTopMargin | ( | int |  | ) |

## ◆ setup() [1/2]

Setup & uiTable::setup | ( |  | ) |
| inline

## ◆ setup() [2/2]

const Setup & uiTable::setup | ( |  | ) | const
| inline

## ◆ setValue() [1/6]

void uiTable::setValue | ( | const RowCol & | ,
|  | double | ,
|  | int | nrdec )

## ◆ setValue() [2/6]

void uiTable::setValue | ( | const RowCol & | ,
|  | double | ,
|  | od_uint16 | width = 0,
|  | char | specifier = 'g',
|  | int | precision = 6,
|  | const char * | length = nullptr,
|  | const char * | flags = nullptr )

## ◆ setValue() [3/6]

void uiTable::setValue | ( | const RowCol & | ,
|  | float | ,
|  | int | nrdec )

## ◆ setValue() [4/6]

void uiTable::setValue | ( | const RowCol & | ,
|  | float | ,
|  | od_uint16 | width = 0,
|  | char | specifier = 'g',
|  | int | precision = 6,
|  | const char * | length = nullptr,
|  | const char * | flags = nullptr )

## ◆ setValue() [5/6]

void uiTable::setValue | ( | const RowCol & | ,
|  | int | ,
|  | od_uint16 | width = 0 )

## ◆ setValue() [6/6]

void uiTable::setValue | ( | const RowCol & | ,
|  | od_int64 | ,
|  | od_uint16 | width = 0 )

## ◆ showGrid()

void uiTable::showGrid | ( | bool |  | ) |

## ◆ showOuterFrame()

void uiTable::showOuterFrame | ( | bool |  | ) |

## ◆ update()

void uiTable::update | ( | bool | row,
|  | int | nr )
| protected

## ◆ updateCellSizes()

void uiTable::updateCellSizes | ( | const uiSize * | sz = 0 | ) |
| protected

## Friends And Related Symbol Documentation

## ◆ i_tableMessenger

friend class i_tableMessenger
| friend

## ◆ uiTableBody

friend class uiTableBody
| friend

## Member Data Documentation

## ◆ body_

uiTableBody* uiTable::body_
| private

## ◆ buttonstate_

OD::ButtonState uiTable::buttonstate_
| protected

## ◆ colDeleted

Notifier<uiTable> uiTable::colDeleted

## ◆ colInserted

Notifier<uiTable> uiTable::colInserted

## ◆ columnClicked

CNotifier<uiTable,int> uiTable::columnClicked

## ◆ doubleClicked

Notifier<uiTable> uiTable::doubleClicked

## ◆ istablereadonly_

bool uiTable::istablereadonly_
| protected

## ◆ lastsz

uiSize uiTable::lastsz
| mutable private

## ◆ leftClicked

Notifier<uiTable> uiTable::leftClicked

## ◆ newcell_

RowCol uiTable::newcell_
| protected

## ◆ notifcell_

RowCol uiTable::notifcell_
| protected

## ◆ notifcells_

TypeSet<RowCol> uiTable::notifcells_
| protected

## ◆ notifcols_

TypeSet<int> uiTable::notifcols_
| protected

## ◆ notifrows_

TypeSet<int> uiTable::notifrows_
| protected

## ◆ rightClicked

Notifier<uiTable> uiTable::rightClicked

## ◆ rowClicked

CNotifier<uiTable,int> uiTable::rowClicked

## ◆ rowDeleted

Notifier<uiTable> uiTable::rowDeleted

## ◆ rowInserted

Notifier<uiTable> uiTable::rowInserted

## ◆ selectionChanged

Notifier<uiTable> uiTable::selectionChanged

## ◆ selectionDeleted

Notifier<uiTable> uiTable::selectionDeleted

## ◆ seliscols_

bool uiTable::seliscols_
| protected

## ◆ selranges_

ObjectSet<SelectionRange> uiTable::selranges_
| mutable protected

## ◆ setup_

Setup uiTable::setup_
| mutable protected

## ◆ valueChanged

Notifier<uiTable> uiTable::valueChanged

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025